a {
    color: #252525;
    opacity: .95;
    text-decoration: underline;
}
a:hover {
    color: #000000;
    opacity: 1;
}
code {
    background-color: #fff;
    border-radius: 3px;
    border: 1px solid rgba(0,0,0,.1);
    padding: 2px 4px;
    color: #9b1b56;
}
.h-link:after {
    content: "\f0c1";
    font-weight: 900;
    font-family: "Font Awesome\ 5 Free";
    margin-left: 10px;
    opacity: 0;
}
.h-link:hover:after {
    opacity: .2;
}

body {
    background-color: #f5f5f5;
    font-family: Poppins, sans-serif;
    font-size: 14px;
}
body > .container-fluid, body > .container-fluid > .row {
    height: 100%;
}
.btn {
    font-size: 14px;
    text-decoration: none;
}
.btn i {
    margin-right: 3px;
}

.column-count-2 {
    column-count: 2;
}
.column-count-3 {
    column-count: 3;
}
.column-count-4 {
    column-count: 4;
}

h1 {
    font-size: 56px;
    margin-bottom: 40px;
}
h2 {
    font-size: 42px;
    font-weight: bold;
}
h3 {
    font-size: 26px;
    font-weight: bold;
}
h4 {
    font-weight: bold;
    font-size: 20px;
}
h5 {
    font-size: 17px;
    font-weight: bold;
    margin-bottom: 15px;
}
h6 {
    font-size: 15px;
    font-weight: bold;
    margin-top: 30px;

}
h2, h3, h4 {
    margin-bottom: 20px;
    margin-top: 20px;
    opacity: .9;
    position: relative;
}
h1 a, h2 a, h3 a, h4 a, h5 a, h6 a, .sidebar a {
    text-decoration: none;
}
h1 a:hover, h2 a:hover, h3 a:hover, h4 a:hover, h5 a:hover, h6 a:hover, .sidebar a:hover {
    text-decoration: none;
}

.folder-structure h5 {
    margin-bottom: 5px;
}

body {
    counter-reset: item itemh3;
}
h2:before {
    /*
    counter-increment: item;
    content: counter(item,number) ".";
    */
}
main {
    margin-left: 300px;
    width: 70%;
}
.main-content {
    padding-left: 30px;
    padding-right: 30px;
}
.main-content > header {
    border-bottom: 1px solid rgba(0,0,0,.1);
    font-size: 12px;
    height: 100px;
    padding-bottom: 20px;
    padding-top: 20px;
    opacity: .5;
}
.main-content > header figure {
    margin-bottom: 5px;
}
.main-content > header figure:last-child {
    margin-bottom: 0;
}
.main-content > header figure i {
    width: 20px;
}
.main-content .content > section {
    padding-bottom: 30px;
    padding-top: 60px;
    /*border-bottom: 1px solid rgba(0,0,0,.1);*/
}
.main-content .content > section > section {
    padding-bottom: 20px;
    padding-top: 20px;
}
.main-content .content > section section {
    /*border-left: 1px solid rgba(0,0,0,.05);*/
    padding-left: 50px;
    padding-right: 50px;
}
.main-content .content > section > section section {
    margin-top: 50px;
}
.main-content .content > section > section > section {
    margin-bottom: 50px;
}
.main-content .content section article {
    margin-bottom: 40px;
}
.main-content .content section article:last-child {
    margin-bottom: 0;
}
.main-content .content section header {
    margin-bottom: 40px;
}
.main-content .content h2, .main-content .content h3  {
    border-bottom: 1px solid rgba(0,0,0,.1);
    padding-bottom: 20px;
}
.main-navigation .nav-item {
    opacity: .8;
}
.main-navigation .nav-item.active {
    opacity: 1;
    font-weight: 600;
}

.navbar-light .navbar-nav .nav-link {
    color: rgba(0,0,0,.9);
}
.navbar-light .navbar-nav .nav-link:hover, .navbar-light .navbar-nav .nav-link:focus {
    color: rgba(0,0,0,1);
}
.note {
    background-color: yellow;
}

p {
    opacity: .8;
    line-height: 28px;
}
.prettyprint {
    border-color: rgba(0,0,0,.1) !important;
    background-color: #eeeeee;
    border-radius: 3px;
}

.sidebar {
    background-color: #fff;
    position: fixed;
    width: 300px;
    overflow-y: scroll;
    height: 100%;
}
.sidebar .logo {
    display: flex;
    height: 100px;
}
.sidebar .logo img {
    align-self: center;
}
.sidebar section {
    /*padding: 20px 10px;*/
}
.sidebar ul {
    list-style: none;
    padding-left: 0;
}
.sidebar a {
    display: block;
    padding: 5px;
}
.sidebar .small {
    padding: 2px 8px;
    opacity: .6;
}
.sidebar .small.active {
    opacity: 1;
}
.sidebar article {
    border-bottom: 1px solid rgba(0,0,0,.1);
    margin-bottom: 10px;
    padding-bottom: 5px;
}

ul, ol {
    opacity: .8;
}
ul li, ol li {
    margin-bottom: 10px;
}


.com {
    color: #8f8f8f !important;
}
pre.prettyprint {
    padding: 30px !important;
}


/* Animation */

.highlight-it {
    animation-name: highlight;
    animation-fill-mode: forwards;
    animation-duration: 3s;
}

@keyframes highlight {
    from {
        background-color: rgba(255,255,0,1);
    }

    to {
        background-color: rgba(255,255,0,0);
    }
}

.highlight {
    animation-name: highlight;
}

/* Responsive */

@media (max-width: 991px) {
    body {
        word-wrap: break-word;
    }
    .sidebar {
        width: 100%;
        overflow-y: hidden;
        height: auto;
        z-index: 99;
    }
    .sidebar section {
        padding: 0;
    }
    .navbar {
        text-align: right;
    }
    .navbar-toggler {
        position: absolute;
        right: 15px;
        top: -70px;
    }
    main {
        margin-left: 0;
        width: 100%;
    }
    .main-content .content > section section {
        padding-left: 0;
        padding-right: 0;
    }
    .main-content {
        padding-left: 15px;
        padding-right: 15px;
    }
}